segfault when trying to open layer properties

2011-07-01 07:43 AM - Richard Duivenvoorde

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: linux Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 14027

Description

trying to test a join between a simple shape file and a sqlite database I get a segfault with current master/head 4d75a7d

opening both shape and sqlite are ok

making the join is ok

but after making the joint trying to open the shape file properties again segfaults

thinking it had something to do with sqlite I also tried a dbf file but with same result

attached are the shapefile (called shape) with three points, and a kaas.db (sqlite) and kaas.dbf as non spatial tables to be joined

History

#1 - 2011-07-03 04:56 PM - Nathan Woodrow

Seems to be related to the same ticket I opened. #4045

#2 - 2011-07-04 06:25 PM - Nathan Woodrow

Can you try again and see if there is still a issue.  It should be fixed in commit:b2c7bae948

#3 - 2011-07-04 11:32 PM - Richard Duivenvoorde

- Resolution set to fixed

yep, now working thanks to rb2c7bae948 :-)

setting resolution to fixed

#4 - 2011-07-04 11:39 PM - Richard Duivenvoorde

- Status changed from Open to Closed

Files

jointest.zip 2 KB 2011-07-01 Richard Duivenvoorde
